VirtualBox

source: vbox/trunk/src/VBox/Additions/linux/installer/vboxvfs.sh@ 178

Last change on this file since 178 was 1, checked in by vboxsync, 55 years ago

import

  • Property svn:eol-style set to LF
  • Property svn:keywords set to Author Date Id Revision
File size: 3.4 KB
Line 
1#! /bin/bash
2# InnoTek VirtualBox
3# Linux Additions VFS kernel module init script
4#
5# Copyright (C) 2006 InnoTek Systemberatung GmbH
6#
7# This file is part of VirtualBox Open Source Edition (OSE), as
8# available from http://www.virtualbox.org. This file is free software;
9# you can redistribute it and/or modify it under the terms of the GNU
10# General Public License as published by the Free Software Foundation,
11# in version 2 as it comes in the "COPYING" file of the VirtualBox OSE
12# distribution. VirtualBox OSE is distributed in the hope that it will
13# be useful, but WITHOUT ANY WARRANTY of any kind.
14#
15# If you received this file as part of a commercial VirtualBox
16# distribution, then only the terms of your commercial VirtualBox
17# license agreement apply instead of the previous paragraph.
18
19
20# chkconfig: 35 30 60
21# description: VirtualBox Linux Additions VFS kernel module
22#
23### BEGIN INIT INFO
24# Provides: vboxvfs
25# Required-Start: $syslog vboxadd
26# Required-Stop:
27# Default-Start: 3 5
28# Default-Stop:
29# Description: VirtualBox Linux Additions VFS kernel module
30### END INIT INFO
31
32system=unknown
33if [ -f /etc/redhat-release ]; then
34 system=redhat
35elif [ -f /etc/SuSE-release ]; then
36 system=suse
37elif [ -f /etc/debian_version ]; then
38 system=debian
39elif [ -f /etc/gentoo-release ]; then
40 system=gentoo
41else
42 echo "$0: Unknown system" 1>&2
43fi
44
45if [ $system = redhat ]; then
46 . /etc/init.d/functions
47 fail_msg() {
48 echo_failure
49 echo
50 }
51
52 succ_msg() {
53 echo_success
54 echo
55 }
56
57 begin() {
58 echo -n $1
59 }
60fi
61
62if [ $system = suse ]; then
63 . /etc/rc.status
64 fail_msg() {
65 rc_failed 1
66 rc_status -v
67 }
68
69 succ_msg() {
70 rc_reset
71 rc_status -v
72 }
73
74 begin() {
75 echo -n $1
76 }
77fi
78
79if [ $system = debian ]; then
80 fail_msg() {
81 echo "...fail!"
82 }
83
84 succ_msg() {
85 echo "...done."
86 }
87
88 begin() {
89 echo -n $1
90 }
91fi
92
93if [ $system = gentoo ]; then
94 . /sbin/functions.sh
95 fail_msg() {
96 eend 1
97 }
98
99 succ_msg() {
100 eend $?
101 }
102
103 begin() {
104 ebegin $1
105 }
106
107 if [ "`which $0`" = "/sbin/rc" ]; then
108 shift
109 fi
110fi
111
112kdir=/lib/modules/`uname -r`/misc
113modname=vboxvfs
114module=$kdir/$modname
115
116file=""
117test -f $module.o && file=$module.o
118test -f $module.ko && file=$module.ko
119
120fail() {
121 if [ $system = gentoo ]; then
122 eerror $1
123 exit 1
124 fi
125 echo -n "($1)"
126 fail_msg
127 exit 1
128}
129
130test -z "$file" && {
131 fail "Kernel module not found"
132}
133
134running() {
135 lsmod | grep -q $modname[^_-]
136}
137
138start() {
139 begin "Starting VirtualBox Additions shared folder support";
140 running || {
141 modprobe $modname || {
142 fail "modprobe $modname failed"
143 }
144 }
145 succ_msg
146 return 0
147}
148
149stop() {
150 begin "Stopping VirtualBox Additions shared folder support";
151 if running; then
152 rmmod $modname || fail "Cannot unload module $modname"
153 fi
154 succ_msg
155 return 0
156}
157
158restart() {
159 stop && start
160 return 0
161}
162
163dmnstatus() {
164 if running; then
165 echo "VirtualBox Additions shared folder support is currently running."
166 else
167 echo "VirtualBox Additions shared folder support is not currently running."
168 fi
169}
170
171case "$1" in
172start)
173 start
174 ;;
175stop)
176 stop
177 ;;
178restart)
179 restart
180 ;;
181status)
182 dmnstatus
183 ;;
184*)
185 echo "Usage: $0 {start|stop|restart|status}"
186 exit 1
187esac
188
189exit
Note: See TracBrowser for help on using the repository browser.

© 2025 Oracle Support Privacy / Do Not Sell My Info Terms of Use Trademark Policy Automated Access Etiquette